import { Injectable } from '@nestjs/common';

@Injectable()
export abstract class IConfigurationRepository {
  abstract get(key: string): Promise<string>;
  abstract set(key: string, value: string): Promise<void>;
  abstract del(key: string): Promise<void>;
}
